"""
ampcontrol is a basic python interface for communication with
multichannel amplifiers and recievers via the RS-232
communication port.

Copyright (C) 2009  Vidar Waagbo <vidar@waagbo.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.


This is just a dummy driver interface for development and testing purposes.
For full compatibility please use this file as a template for your driver.

"""

import sys

class Control:

    def __init__(self, port = None):
        print "dummy.py - Using port:", port

    def custom_command(self, command):
        print "dummy.py - Sending custom command", command

    def toggle_party_mode(self):
        print "dummy.py - Party mode is toggled"

    def set_source(self, source, zone = None):
        print "dummy.py - Zone", zone, "source is now", source

    def set_record_source(self, source):
        print "dummy.py - Record source is now:", source

    def set_power(self, state, zone = None):
        print "dummy.py - Power of zone", zone, "is in state", state

    def complete_power_off(self):
        print "dummy.py - Powering off the amplifier"

    def set_volume(self, amount, zone = None):
        print "dummy.py - Volume of zone", zone, "is set to", amount

    def volume_up(self, amount, zone = None):
        print "dummy.py - Volume of zone", zone, "is increased by", amount

    def volume_down(self, amount, zone = None):
        print "dummy.py - Volume of zone", zone, "is decreased by", amount

    def mute(self, zone = None):
        print "dummy.py - Zone", zone, "changed mute state"

    def mute_on(self, zone = None):
        print "dummy.py - Zone", zone, "is now muted"

    def mute_off(self, zone = None):
        print "dummy.py - Zone", zone, "is now unmuted"

    def close_connection(self):
        print "dummy.py - Connection closed"
